import request from '@/utils/request'

// 分页查询活动比例
export function getAllPlatformBeeRule(data) {
  return request({
    url: '/platformBeeRule/getAll',
    method: 'post',
    data
  })
}

// 查询活动比例
export function getByIdPlatformBeeRule(params) {
  return request({
    url: '/platformBeeRule/getById',
    method: 'get',
    params
  })
}

// 保存活动比例
export function savePlatformBeeRule(data) {
  return request({
    url: '/platformBeeRule/save',
    method: 'post',
    data
  })
}

// 删除活动比例
export function deleteIdPlatformBeeRule(data) {
  return request({
    url: '/platformBeeRule/deleteId',
    method: 'post',
    data
  })
}

// 修改活动比例
export function priceControlUpdatePlan(data) {
  return request({
    url: '/platformBeeRule/update',
    method: 'put',
    data
  })
}

// 查询平台蜜蜂币活动信息表全部
export function getAllPlatformBeeCurrency(params) {
  return request({
    url: '/platformBeeCurrency/getAll',
    method: 'get',
    params
  })
}
